Loading...
Searching...
No Matches
gx_engine::EngineControl Class Referenceabstract

`#include <gx_modulesequencer.h>`

Inheritance diagram for gx_engine::EngineControl:

## Public Types

enum | OverloadType { ov_User = 0x1 , ov_Convolver = 0x2 , ov_XRun = 0x4 , ov_NoWarn = 0x8 }

## Public Member Functions

| EngineControl ()
| ~EngineControl ()
void | init (unsigned int samplerate, unsigned int buffersize, int policy, int priority)
virtual void | wait_ramp_down_finished ()=0
virtual bool | update_module_lists ()=0
virtual void | start_ramp_up ()=0
virtual void | start_ramp_down ()=0
virtual void | overload (OverloadType tp, const char *reason)=0
void | set_samplerate (unsigned int samplerate_)
unsigned int | get_samplerate ()
void | set_buffersize (unsigned int buffersize_)
unsigned int | get_buffersize ()
virtual void | set_rack_changed ()=0
void | clear_rack_changed ()
bool | get_rack_changed ()
sigc::signal< void, unsigned int > & | signal_buffersize_change ()
sigc::signal< void, unsigned int > & | signal_samplerate_change ()
void | add_selector (ModuleSelector &sel)
void | registerParameter (ParameterGroups &groups)
void | get_sched_priority (int &policy, int &priority, int prio_dim=0)
ParamMap & | get_param ()

## Public Attributes

ParallelThread | pro
PluginList | pluginlist

## Protected Attributes

list< ModuleSelector * > | selectors
sigc::connection | rack_changed
ParamMap | pmap
int | policy
int | priority
sigc::signal< void, unsigned int > | buffersize_change
sigc::signal< void, unsigned int > | samplerate_change
unsigned int | buffersize
unsigned int | samplerate

## Detailed Description

Definition at line 245 of file gx_modulesequencer.h.

## Member Enumeration Documentation

## OverloadType

enum gx_engine::EngineControl::OverloadType

Enumerator
ov_User |
ov_Convolver |
ov_XRun |
ov_NoWarn |

Definition at line 262 of file gx_modulesequencer.h.

## Constructor & Destructor Documentation

## EngineControl()

gx_engine::EngineControl::EngineControl | ( |  | ) |

## ~EngineControl()

gx_engine::EngineControl::~EngineControl | ( |  | ) |

## Member Function Documentation

## add_selector()

void gx_engine::EngineControl::add_selector | ( | ModuleSelector & | sel | ) |

## clear_rack_changed()

void gx_engine::EngineControl::clear_rack_changed | ( |  | ) |

## get_buffersize()

unsigned int gx_engine::EngineControl::get_buffersize | ( |  | ) |

inline

Definition at line 281 of file gx_modulesequencer.h.

## get_param()

ParamMap & gx_engine::EngineControl::get_param | ( |  | ) |

inline

Definition at line 290 of file gx_modulesequencer.h.

## get_rack_changed()

bool gx_engine::EngineControl::get_rack_changed | ( |  | ) |

## get_samplerate()

unsigned int gx_engine::EngineControl::get_samplerate | ( |  | ) |

inline

Definition at line 279 of file gx_modulesequencer.h.

## get_sched_priority()

void gx_engine::EngineControl::get_sched_priority | ( | int & | policy,
|  | int & | priority,
|  | int | prio_dim = 0 )

## init()

void gx_engine::EngineControl::init | ( | unsigned int | samplerate,
|  | unsigned int | buffersize,
|  | int | policy,
|  | int | priority )

## overload()

virtual void gx_engine::EngineControl::overload | ( | OverloadType | tp,
|  | const char * | reason )

pure virtual

Implemented in gx_engine::ModuleSequencer.

## registerParameter()

void gx_engine::EngineControl::registerParameter | ( | ParameterGroups & | groups | ) |

## set_buffersize()

void gx_engine::EngineControl::set_buffersize | ( | unsigned int | buffersize_ | ) |

## set_rack_changed()

virtual void gx_engine::EngineControl::set_rack_changed | ( |  | ) |

pure virtual

Implemented in gx_engine::ModuleSequencer.

## set_samplerate()

void gx_engine::EngineControl::set_samplerate | ( | unsigned int | samplerate_ | ) |

## signal_buffersize_change()

sigc::signal< void, unsigned int > & gx_engine::EngineControl::signal_buffersize_change | ( |  | ) |

inline

Definition at line 285 of file gx_modulesequencer.h.

## signal_samplerate_change()

sigc::signal< void, unsigned int > & gx_engine::EngineControl::signal_samplerate_change | ( |  | ) |

inline

Definition at line 286 of file gx_modulesequencer.h.

## start_ramp_down()

virtual void gx_engine::EngineControl::start_ramp_down | ( |  | ) |

pure virtual

Implemented in gx_engine::ModuleSequencer.

## start_ramp_up()

virtual void gx_engine::EngineControl::start_ramp_up | ( |  | ) |

pure virtual

Implemented in gx_engine::ModuleSequencer.

## update_module_lists()

virtual bool gx_engine::EngineControl::update_module_lists | ( |  | ) |

pure virtual

Implemented in gx_engine::ModuleSequencer.

## wait_ramp_down_finished()

virtual void gx_engine::EngineControl::wait_ramp_down_finished | ( |  | ) |

pure virtual

Implemented in gx_engine::ModuleSequencer.

## Member Data Documentation

## buffersize

unsigned int gx_engine::EngineControl::buffersize

protected

Definition at line 258 of file gx_modulesequencer.h.

Referenced by get_buffersize(), and init().

## buffersize_change

sigc::signal<void, unsigned int> gx_engine::EngineControl::buffersize_change

protected

Definition at line 256 of file gx_modulesequencer.h.

Referenced by signal_buffersize_change().

## pluginlist

PluginList gx_engine::EngineControl::pluginlist

Definition at line 268 of file gx_modulesequencer.h.

## pmap

ParamMap gx_engine::EngineControl::pmap

protected

Definition at line 250 of file gx_modulesequencer.h.

Referenced by get_param().

## policy

int gx_engine::EngineControl::policy

protected

Definition at line 251 of file gx_modulesequencer.h.

Referenced by get_sched_priority(), and init().

## priority

int gx_engine::EngineControl::priority

protected

Definition at line 252 of file gx_modulesequencer.h.

Referenced by get_sched_priority(), and init().

## pro

ParallelThread gx_engine::EngineControl::pro

Definition at line 261 of file gx_modulesequencer.h.

## rack_changed

sigc::connection gx_engine::EngineControl::rack_changed

protected

Definition at line 249 of file gx_modulesequencer.h.

## samplerate

unsigned int gx_engine::EngineControl::samplerate

protected

Definition at line 259 of file gx_modulesequencer.h.

Referenced by get_samplerate(), init(), and gx_engine::ModuleSequencer::set_samplerate().

## samplerate_change

sigc::signal<void, unsigned int> gx_engine::EngineControl::samplerate_change

protected

Definition at line 257 of file gx_modulesequencer.h.

Referenced by signal_samplerate_change().

## selectors

list<ModuleSelector*> gx_engine::EngineControl::selectors

protected

Definition at line 247 of file gx_modulesequencer.h.

The documentation for this class was generated from the following file:

- src/headers/gx_modulesequencer.h